public void validateEmail(FacesContext context, UIComponent toValidate, Object value) {
        String message = "";
        String email = (String) value;

        if(email == null || email.equals("")) {
            ((UIInput)toValidate).setValid(false);
            message = "E-mail is required";

            context.addMessage(toValidate.getClientId(context), new FacesMessage(message));
        }
        else if (!(email.contains("@") && email.contains("."))) {
            ((UIInput)toValidate).setValid(false);
            message = "E-mail is invalid";
            context.addMessage(toValidate.getClientId(context), new FacesMessage(message));
        }
    }
